[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: 1.7.19 up for testing/signing

From: Stefan Fuhrmann <stefan.fuhrmann_at_wandisco.com>
Date: Wed, 10 Dec 2014 19:19:19 +0100

On Wed, Dec 10, 2014 at 6:45 PM, Stefan Fuhrmann <
stefan.fuhrmann_at_wandisco.com> wrote:

> On Tue, Dec 9, 2014 at 10:16 AM, Ben Reser <ben_at_reser.org> wrote:
>
>> The 1.7.19 release artifacts are now available for testing/signing.
>> Please get the tarballs from
>> https://dist.apache.org/repos/dist/dev/subversion
>> and add your signatures there. I plan to try and release on December
>> 15th so
>> please try and get your votes/signatures in place by December 13th.
>>
>> This release is built with libtool 2.4.3 so it should work out of the box
>> on OS
>> X Yosemite. However, a libtool upgrade might trigger additional problems
>> so
>> please test on as many platforms as you can.
>>
>
> Summary:
>
> +1 to release
>
> Platform
>
> Ubuntu 14.04.1 x64, Linux 3.13.0-40-generic SMP
>
> Standard dependencies:
> APR 1.5.0
> APR-Util 1.5.3
> BDB 5.3.28
> GCC 4.8.2
> httpd 2.4.7, worker MPM
> JUnit 4.11
> libmagic 5.14
> libtool 2.4.2
> neon 0.30.0
> OpenJDK-7 7u51
> OpenSSL 1.0.1f
> Perl 5.18.2
> Python 2.7.5
> Ruby 1.9.3
> SQLite 3.8.2
> Swig 2.0.11
> zlib 1.2.8
>
> Manually installed and in-tree dependencies:
> Serf 1.3.6
>

Correction: that's serf 0.7.2

> ctypesgen svn-r151
>
> Verified:
>
> Tarball contents and signatures
>
> (fsfs, bdb) x (local, svnserve, neon, serf)
> check-swig-py
> check-swig-pl
> check-swig-rb
> check-javahl
> check-ctypes-python
>
> ./get-deps.sh
>
> Results:
>
> (known issue) Timestamps in subversion.pot differ between .zip and .tar.*
> (known issue) Ruby tests failed to build due to unsupported Ruby version.
>
> All tests passed.
>
> GPG Signatures committed to the dist/dev/subversion repository.
>
> -- Stefan^2.
>
Received on 2014-12-10 19:19:49 CET

This is an archived mail posted to the Subversion Dev mailing list.